Bug 1436816 - ahkab: python3-ahkab is missing Python 3 version of executables / no maintainer
Summary: ahkab: python3-ahkab is missing Python 3 version of executables / no maintainer
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: ahkab
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PY3PATCH-AVAILABLE PY3-EXECUTABLES
TreeView+ depends on / blocked
 
Reported: 2017-03-28 18:02 UTC by Iryna Shcherbina
Modified: 2019-04-03 12:49 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed:


Attachments (Terms of Use)
Fix of missing Python 3 version executables (5.01 KB, patch)
2017-07-24 08:02 UTC, Jan Beran
no flags Details | Diff

Description Iryna Shcherbina 2017-03-28 18:02:53 UTC
The Python 3 subpackage python3-ahkab is missing executables available in the Python 2 subpackage.

According to the Fedora Packaging guidelines for Python [0], if a Python package that supports Python 3 installs executables into /usr/bin,  then either both Python versions of the executables should be packaged, or only the Python 3 version, depending on the functionality they provide.
(Note the "should": having Python 2-only executables is permitted, but strongly discouraged.)

Is it intentional for this particular package?

In case it is not intentional, please provide a Python 3 version of executable, or you can just switch to Python 3 if the functionality is the same regardless of the Python version. The guide for porting Python-based RPMs is available here [1] and you may refer to it for more instructions.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 26 as well.

If anything is unclear, or if you need any kind of assistance, you can
ask on IRC (#fedora-python on Freenode), or reply here. We'll be happy
to help investigating or fixing the issue!

[0] https://fedoraproject.org/wiki/Packaging:Python#Avoiding_collisions_between_the_python_2_and_python_3_stacks
[1] http://python-rpm-porting.readthedocs.io/

Comment 1 Jan Beran 2017-07-24 08:02 UTC
Created attachment 1303503 [details]
Fix of missing Python 3 version executables

Comment 2 Jan Beran 2017-07-24 08:06:27 UTC
Hello Kiara,

may I ask you to review the updated spec file, and if it is correct, to make a new Fedora build? Thank you.

Comment 3 Jan Kurik 2017-08-15 06:26:19 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 4 Jan Beran 2017-09-18 13:22:34 UTC
Hello Kiara, please, may I ask for your feedback?

Comment 5 Miro Hrončok 2017-10-12 13:33:06 UTC
Do wee really need ahkab executables in both Python versions?

Comment 6 Jan Beran 2017-10-13 12:00:48 UTC
Hi Miro, thanks for the review. I have updated the patch that is here: https://src.fedoraproject.org/rpms/ahkab/pull-request/1

Comment 7 Ben Cotton 2018-11-27 18:23:31 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Miro Hrončok 2018-11-27 20:20:28 UTC
Bump.

Comment 9 Ben Cotton 2019-02-19 17:12:04 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 30 development cycle.
Changing version to '30.

Comment 10 Miro Hrončok 2019-03-17 21:56:10 UTC
Kiara, are you responsive?

Comment 11 Miro Hrončok 2019-03-27 10:23:54 UTC
Consider this a nonresponsive maintainer bug.

https://fedoraproject.org/wiki/Policy_for_nonresponsive_package_maintainers

Please respond.

Comment 12 Miro Hrončok 2019-04-03 12:47:52 UTC
Please respond.

Comment 13 Miro Hrončok 2019-04-03 12:49:08 UTC
This is already orphaned.


Note You need to log in before you can comment on or make changes to this bug.